#!/bin/sh

# Set the PATH
if [ -d /usr/ucb ]
  then
	PATH=/usr/ucb:/bin:/usr/bin
  else
	PATH=/bin:/usr/bin
fi
export PATH

# Get the system architecture
SYSTEM=`uname -s`

# Check the system architecture
if [ $SYSTEM != "SunOS" -a $SYSTEM != "Linux" -a $SYSTEM != "FreeBSD" ]
  then
	echo "The system ($SYSTEM) is not supported now."
	exit
fi

# Makefile name
MAKEFILE=Makefile

# Create the Makefile
if [ -f $MAKEFILE ]
  then
	/bin/rm $MAKEFILE
fi
echo -n "
Creating Makefile ..."

echo -n "#
#	Makefile for Python InterBase Module on $SYSTEM
#
" > $MAKEFILE

if [ $SYSTEM = "SunOS" ]
  then
	echo -n "
CC_FLAGS	= -O -K PIC -c
LD_FLAGS	= -G -Bsymbolic
IB_LIBS		= -lgds
" >> $MAKEFILE

elif [ $SYSTEM = "Linux" ]
  then
	echo -n "
CC_FLAGS	= -O -fPIC -c
LD_FLAGS	= -share
IB_LIBS		= -lgdslib
" >> $MAKEFILE
else
	echo -n "
CC_FLAGS	= -O -fPIC -c
LD_FLAGS	= -Bshareable
IB_LIBS		= -lgdslib
" >> $MAKEFILE
fi
                         

echo "
FUNCOBJ		= ibmodule.o
FUNCLIB		= interbasedb.so
PYTHONINC	= -I/usr/local/include/python1.5
RM		= /bin/rm -f


.SUFFIXES: .o .c
.c.o:
	cc \$(CC_FLAGS) \$(PYTHONINC) \$<


\$(FUNCLIB)  : \$(FUNCOBJ)
	ld \$(LD_FLAGS) \$(FUNCOBJ) \$(IB_LIBS) -o \$(FUNCLIB)

\$(FUNCOBJ) : ibmodule.c ibcommon.c ibtrans.c ibconn.c ibcursor.c ibdate.c \\
		ibblob.c ibmodule.h

clean :
	\$(RM) \$(FUNCOBJ) \$(FUNCLIB)
" >> $MAKEFILE

echo " Done."
